#include "libopengl.h"
#include "face.h"
#include <sstream>

using namespace std;

Face::Face(istream& is)
{
  string line;
  getline (is, line);

  stringstream allIndexSets (line);
  string singleIndexSet;

  while( getline(allIndexSets, singleIndexSet, ' ') )
  {
   if (singleIndexSet.size() > 0)
   {
     string vertexIndex = singleIndexSet.substr(0, singleIndexSet.find('/'));
     int index = atoi(vertexIndex.c_str());
     vertexIndices.push_back(index);
   }
  }
}

void Face::render(std::vector <Vector3>&vertexTable)
{
  vertexIndices.size() == 3?
     glBegin(GL_TRIANGLES)
    :glBegin(GL_QUADS);

  for (unsigned int i=0; i<vertexIndices.size(); i++)
   {
   glVertex3f( vertexTable[vertexIndices[i] - 1].X,
               vertexTable[vertexIndices[i] - 1].Y,
               vertexTable[vertexIndices[i] - 1].Z );
   }
   glEnd();
}
